ch.qos.logback.core.util

## Class FixedDelay

- java.lang.Object
- - ch.qos.logback.core.util.FixedDelay

All Implemented Interfaces:
  DelayStrategy

    public class FixedDelay
    extends Object
    implements DelayStrategy

A default `DelayStrategy` that implements a simple fixed delay.

Since:
  1.1.0
Author:
  Carl Harris

### Constructor Summary

Constructors
Constructor and Description
`FixedDelay(int delay)` Initialize a new `FixedDelay` with fixed delay value given by `delay` parameter.
`FixedDelay(long initialDelay, long subsequentDelay)` Initialize a new `FixedDelay` with a given `initialDelay` and `subsequentDelay`.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `nextDelay()` The value computed by this `DelayStrategy` for the next delay.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedDelay

    public FixedDelay(long initialDelay,
                      long subsequentDelay)

Initialize a new `FixedDelay` with a given `initialDelay` and `subsequentDelay`.

Parameters:
  `initialDelay` - value for the initial delay
  `subsequentDelay` - value for all other delays

#### FixedDelay

    public FixedDelay(int delay)

Initialize a new `FixedDelay` with fixed delay value given by `delay` parameter.

Parameters:
  `delay` - value for all delays

### Method Detail

#### nextDelay

    public long nextDelay()

The value computed by this `DelayStrategy` for the next delay.

Specified by:
  `nextDelay` in interface `DelayStrategy`
Returns:
  a delay value